Package org.firebirdsql.gds.ng

## Class BlobLengthProcessor

- java.lang.Object
- - org.firebirdsql.gds.ng.BlobLengthProcessor

- All Implemented Interfaces:
    `InfoProcessor<java.lang.Long>`

      public final class BlobLengthProcessor
      extends java.lang.Object
      implements InfoProcessor<java.lang.Long>

  Blob information processor for retrieving blob length.
  Since:
    3.0
  Author:
    Mark Rotteveel

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.firebirdsql.gds.ng.InfoProcessor

      `InfoProcessor.StatementInfo`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BlobLengthProcessor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `getBlobLengthItems()` |
    `java.lang.Long` | `process​(byte[] infoResponse)` | Process an infoResponse block into an object of type T.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlobLengthProcessor

          public BlobLengthProcessor()

  - ### Method Detail

    - #### process

          public java.lang.Long process​(byte[] infoResponse)
                                 throws java.sql.SQLException

      Description copied from interface: `InfoProcessor`
      Process an infoResponse block into an object of type T.
      Specified by:
        `process` in interface `InfoProcessor<java.lang.Long>`
      Parameters:
        `infoResponse` - byte array containing the server response to an info-request.
      Returns:
        Processed response of type T (usually - but not required - a newly created object).
      Throws:
        `java.sql.SQLException` - For errors during the infoResponse.

    - #### getBlobLengthItems

          public byte[] getBlobLengthItems()